# Cache la fentre de l'interprteur

wm withdraw .

# Charge le package tcom qui permettra d'utiliser ActiveField

package require tcom

# Lancement de QuickField

set Application [::tcom::ref createobject QuickField.Application ]


# A l'aide de la collection de problemes lies a l'application
# un probleme est defini en contenant Magn1.pbm

set Problems [$Application Problems]
set Problem [$Problems Open "./Magn1.pbm" ]

# la commande "time" lance une commande et calcule son temps d'execution
# "time" retourne une reponse de la forme "288596 microseconds per iteration"

# la rponse est stocke dans la variable "tempsdecalcul"
	
set tempsdecalcul [ time { $Problem SolveProblem 0 } ]

# Popup pour terminer l'application
# On affiche galement le temps de calcul

tk_messageBox -title Performance -message "Cliquez sur ok, pour terminer.\n\
$tempsdecalcul"

# fermeture de QuickField

$Application Quit

# fermeture de l'interprteur

destroy .




